package org.jeecg.ctop.material.service.impl;

import com.alibaba.fastjson.JSONObject;
import org.jeecg.common.api.vo.Result;

import java.util.List;
import java.util.Map;

public interface IMaterialDataService {
    String getRoleCodeByUserId(String userId);

    String getCompanyIdByUserId(String userId);

    // 查询头条汇总信息
    JSONObject getByteDanceTotalInfo(Map<String, Object> requestMap);

    // 查询快手汇总信息
    JSONObject getKuaiShouTotalInfo(Map<String, Object> requestMap);

    // 查询头条折线图数据
    List<JSONObject> getByteDanceChartData(Map<String, Object> requestMap, Integer type);

    // 查询快手折线图数据
    List<JSONObject> getKuaiShouChartData(Map<String, Object> requestMap, Integer type);

    // 头条分项目数据
    Result<Object> getByteDanceProjectData(Map<String, Object> requestMap, Integer pageNo, Integer pageSize);

    // 快手分项目数据
    Result<Object> getKuaiShouProjectData(Map<String, Object> requestMap, Integer pageNo, Integer pageSize);

    // 头条分团队数据
    Result<Object> getByteDanceTeamData(Map<String, Object> requestMap, Integer pageNo, Integer pageSize);

    // 快手分团队数据
    Result<Object> getKuaiShouTeamData(Map<String, Object> requestMap, Integer pageNo, Integer pageSize);

    // 头条分成员数据
    Result<Object> getByteDanceUserData(Map<String, Object> requestMap, Integer pageNo, Integer pageSize);

    // 头条分成员数据
    Result<Object> getKuaiShouUserData(Map<String, Object> requestMap, Integer pageNo, Integer pageSize);

    // 头条分视频数据
    Result<Object> getByteDanceVideoData(Map<String, Object> requestMap, Integer pageNo, Integer pageSize);

    // 快手分视频数据
    Result<Object> getKuaiShouVideoData(Map<String, Object> requestMap, Integer pageNo, Integer pageSize);
}
